<div align="center">
    <img src="https://assets.lenstube.xyz/images/brand/banner.png" alt="banner">
    <h1>Lenstube</h1>
    <p>Decentralized video-sharing social media platform.</p>
    <a href="https://lenstube.xyz">lenstube.xyz</a>
</div>
<br>
<div align="center">
    <a href="https://lenstube.xyz/sasicodes.lens">
        <img src="https://lens-badge.vercel.app/api/badge/sasicodes.lens" alt="Lens">
    </a>
    <a href="https://www.gitpoap.io/gh/lenstube-xyz/lenstube">
        <img src="https://public-api.gitpoap.io/v1/repo/lenstube-xyz/lenstube/badge" alt="Gitpoap">
    </a>
    <a href="https://lenstube.xyz/discord">
       <img src="https://img.shields.io/discord/980882088783913010.svg?label=&logo=discord&logoColor=ffffff&color=7389D8&labelColor=6A7EC2" alt="Discord">
    </a>
    <a href="https://twitter.com/lenstubexyz">
        <img src="https://img.shields.io/twitter/follow/lenstubexyz?label=lenstubexyz&style=flat&logo=twitter&color=1DA1F2" alt="Twitter">
    </a>
    <a href="https://deepsource.io/gh/lenstube-xyz/lenstube">
        <img src="https://deepsource.io/gh/lenstube-xyz/lenstube.svg/?label=active+issues&show_trend=true" alt="Deepsource">
    </a>
     <a href="https://status.lenstube.xyz">
        <img src="https://betteruptime.com/status-badges/v1/monitor/dfaw.svg" alt="Better Uptime">
    </a>
    <a href="https://lenstube.checklyhq.com">
        <img src="https://api.checklyhq.com/v1/badges/checks/2278c22c-37af-4c6a-bebc-b48169fdcc78?style=flat&responseTime=true" alt="Checkly">
    </a>
    <span>
        <img src="https://img.shields.io/badge/dependabot-enabled-025e8c?logo=Dependabot" alt="Dependabot">
    </span>
    <span>
        <img src="https://img.shields.io/github/stars/lenstube-xyz/lenstube" alt="Stargazers">
    </span>
    <a href="https://github.com/lenstube-xyz/lenstube/blob/main/LICENSE">
        <img src="https://badgen.net/github/license/lenstube-xyz/lenstube" alt="License">
    </a>
</div>
<br>

## About

Lenstube is a decentralized video-sharing social media platform, built using Lens Protocol 🌿

[Radicle Repo](https://app.radicle.xyz/seeds/pine.radicle.garden/rad:git:hnrkpibaij783apnhxd9bnuw77i15ncizudso)

## Community

For a place to have open discussions on features, voice your ideas, or get help with general questions please visit our community at [Discord](https://lenstube.xyz/discord).

## What's inside?

This turborepo uses [Yarn](https://classic.yarnpkg.com/) as a package manager. It includes the following packages/apps:

### Apps and Packages

- `web`: NextJs Lenstube website
- `embed`: NextJs application for video embeds
- `api`: NextJs serverless functions for Lenstube

- `web-ui`: Web components
- `tsconfig`: Shared tsconfig
- `utils`: Collection of utils and helpers
- `lens`: Everything about Lens Backend

## Getting Started

To get started with `lenstube` development, run the following commands:

```
cd apps/web && cp .env.example .env
cd apps/api && cp .env.example .env
cd apps/embed && cp .env.example .env
```

Install all dependencies from repository root,

```
yarn install
```

Start the application,

```
yarn dev
```

and visit http://localhost:4783

## Contributors

We love contributors! Feel free to contribute to this project but please read the [Contributing Guidelines](CONTRIBUTING.md) before opening an issue or PR so you understand the branching strategy and local development environment.

<a href="https://github.com/lenstube-xyz/lenstube/graphs/contributors">
  <img src="https://contrib.rocks/image?repo=lenstube-xyz/lenstube" />
</a>

## License

Lenstube is open-sourced software licensed under the [GNU GENERAL PUBLIC LICENSE](LICENSE).
